package com.javacodegeeks.client;

import com.google.gwt.core.client.EntryPoint;
import com.google.gwt.user.client.ui.DecoratorPanel;
import com.google.gwt.user.client.ui.HTML;
import com.google.gwt.user.client.ui.RootPanel;
import com.google.gwt.user.client.ui.ScrollPanel;

/**
 * Entry point classes define <code>onModuleLoad()</code>.
 */
public class GWTScrollPanel implements EntryPoint {

	/**
	 * This is the entry point method.
	 */
	public void onModuleLoad() {
		HTML contents = new HTML("This is an example of GWT scroll panel. ScrollPanel class extends the "
				+ "com.google.gwt.user.client.ui.SimplePanel class and implements four interfaces. It is a simple panel"
				+ " that wraps its contents in a scrollable area. GWT also allows users to create their own custom"
				+ " scrollable panels using the CustomScrollPanel class. This class extends the ScrollPanel class."
				+ " This class allows users to provide their own scrollbars. The position of the scrollbar in the"
				+ " CustomScrollPanel differs from that of the native scrollable element. In the native element,"
				+ " scrollbars appear adjacent to the content,shrinking the content client height and width when they"
				+ " appear. CustomeScrollPanel overlays scrollbars on top of the content, so the content does not change"
				+ " the size when the scrollbars appear. If the scrollbars obscure the content, you can set the padding-top"
				+ " and padding-bottom attribute.");
		
		ScrollPanel scrollPanel = new ScrollPanel(contents);
		scrollPanel.setSize("450px", "200px");
		
		DecoratorPanel decoratorPanel = new DecoratorPanel();
		decoratorPanel.add(scrollPanel);
		
		RootPanel.get("container").add(decoratorPanel);
	}
}
